
Foreman - Bug #12932

Update to 1.8.4 Bonded server cannot be modified

12/23/2015 03:45 PM - Matheus Gomes

Status: Resolved   

Priority: High   

Assignee:    

Category: Network   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases: 1.8.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Upgraded to 1.8.4, now i cannot edit hosts at all as i'm getting network error's, i've read comments and tried

"ignore_puppet_facts_for_provisioning=true" or false has no impact on issue.

Duplicate interfaces 'eth1' are being created when editing host with a MAC that is not part of the server physical or virtual MAC's

Really need a fix as this has a huge impact on our environment and it seem's 1.9.x is also having same issue so a upgrade wouldn't

make a difference as far as i know? unless proven otherwise

Please Help.

Upon a server is build the fallowing is part of our kickstart template which creates the Bonding for the host.

'network --device=bond0 --noipv6 --bootproto=static --onboot=yes --hostname=<%= @host > --ip=<= @host.ip >  --net=<=

@host.subnet > --gateway=<= @host.subnet.gateway > --nameserver=<= @host.subnet.dns_primary %>

--bondslaves=eth0,eth1 --bondopts=mode=802.3ad,xmit_hash_policy=layer3+4'

I've to add a new manifest for deployment and we have over 210 hosts on Foreman.

I've tried almost all combinations possible, deleting all eth's, all but one eth, all but bond, populated with/out IP and Name... really

frustrated at this point.

Errors:

Some of the interfaces are invalid. Please check the table below.

undefined method `changed?' for nil:NilClass.

ActionController::RoutingError

No route matches {:action=>"toggle_manage", :controller=>"hosts", :id=>#<Host::Managed id: 56, name: "", last_compile:

"2015-12-23 19:14:57", last_freshcheck: nil, last_report: "2015-12-23 19:14:53", updated_at: "2015-12-23 19:16:01",

source_file_id: nil, created_at: "2013-08-19 18:23:44", root_pass: ":)", serial: nil, puppet_status: 18253611008, architecture_id:

1, operatingsystem_id: 3, environment_id: 1, ptable_id: 1, medium_id: 6, build: false, comment: "", disk: "", installed_at:

"2013-08-20 22:01:24", model_id: 7, hostgroup_id: 16, owner_id: 2, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1,

managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname:

"data2.:).corp", image_id: nil, organization_id: nil, location_id: nil, type: "Host::Managed", compute_profile_id: nil, otp: nil,

realm_id: nil, provision_method: "build", grub_pass: ":)", discovery_rule_id: nil>}

app/helpers/application_helper.rb:28:in `link_to'

app/helpers/application_helper.rb:163:in `display_link_if_authorized'

app/views/hosts/edit.html.erb:3:in `_app_views_hosts_edit_html_erb___1766323441748080518_70295838907360'

app/controllers/application_controller.rb:269:in `process_error'

app/controllers/hosts_controller.rb:106:in `block in update'

app/models/taxonomy.rb:54:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:61:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:147:in `as_location'

app/models/taxonomy.rb:60:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:112:in `as_org'

app/models/taxonomy.rb:59:in `as_taxonomy'
app/models/taxonomy.rb:53:in `no_taxonomy_scope'

app/controllers/hosts_controller.rb:99:in `update'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Any question please feel free to ask, i'll watch this ticket like a Hawk/Owl hybrid.

Related issues:

Related to Foreman - Bug #9531: Removing host name from Host#edit throws rout... Closed 02/24/2015

History

#1 - 12/24/2015 05:17 AM - Dominic Cleal

Matheus Gomes wrote:

undefined method `changed?' for nil:NilClass.

 This might be the root error message you're reporting, but it's hard to say if it's fixed without more context.  Can you provide a full stack trace,

probably from production.log?

ActionController::RoutingError

No route matches {:action=>"toggle_manage", :controller=>"hosts", :id=>#<Host::Managed id: 56, name: "", last_compile: "2015-12-23

19:14:57", last_freshcheck: nil, last_report: "2015-12-23 19:14:53", updated_at: "2015-12-23 19:16:01", source_file_id: nil, created_at:

"2013-08-19 18:23:44", root_pass: ":)", serial: nil, puppet_status: 18253611008, architecture_id: 1, operatingsystem_id: 3, environment_id:

1, ptable_id: 1, medium_id: 6, build: false, comment: "", disk: "", installed_at: "2013-08-20 22:01:24", model_id: 7, hostgroup_id: 16,

owner_id: 2, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil, uuid: nil,

compute_resource_id: nil, puppet_proxy_id: 1, certname: "data2.:).corp", image_id: nil, organization_id: nil, location_id: nil, type:

"Host::Managed", compute_profile_id: nil, otp: nil, realm_id: nil, provision_method: "build", grub_pass: ":)", discovery_rule_id: nil>}

 This is odd, but perhaps a result of the earlier message, hard to say.

#2 - 12/29/2015 02:10 PM - Matheus Gomes

Dominic Cleal wrote:

This might be the root error message you're reporting, but it's hard to say if it's fixed without more context.  Can you provide a full stack trace,

probably from production.log?

 Started PUT "/hosts/ny4lddata2.somecorp.corp" for 10.17.12.28 at 2015-12-23 15:21:15 -0500

2015-12-23 15:21:15 [I] Processing by HostsController#update as */*

2015-12-23 15:21:15 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"asdfasdf=", "host"=>{"name"=>"", "hostgroup_id"=>"16",

"environment_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "config_group_ids"=>[""], "puppetclass_ids"=>["", "339", "341", "508",

"371", "375", "448", "344", "361", "450", "472", "509", "356", "507", "357", "320"], "managed"=>"t", "progress_report_id"=>"[FILTERED]",

"interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "mac"=>"a0:36:9f:11:f7:e0", "identifier"=>"bond0", "name"=>"", "domain_id"=>"", "subnet_id"=>"",

"ip"=>"", "managed"=>"0", "primary"=>"0", "provision"=>"0", "mode"=>"balance-rr", "attached_devices"=>"", "bond_options"=>"", "id"=>"145"},

"1"=>{"_destroy"=>"0", "mac"=>"a0:36:9f:24:27:e2", "identifier"=>"eth0", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1",

"primary"=>"1", "provision"=>"1", "tag"=>"", "attached_to"=>"", "id"=>"602"}, "2"=>{"_destroy"=>"1", "mac"=>"a0:36:9f:11:f7:e2", "identifier"=>"eth1",

"name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"0", "primary"=>"0", "provision"=>"0", "tag"=>"", "attached_to"=>"", "id"=>"146"},

"3"=>{"_destroy"=>"0", "mac"=>"a0:36:9f:24:27:e0", "identifier"=>"eth1", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"0",

"primary"=>"0", "provision"=>"0", "tag"=>"", "attached_to"=>"", "id"=>"383"}, "new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"",

"identifier"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag"=>"",

"attached_to"=>""}}, "architecture_id"=>"1", "operatingsystem_id"=>"3", "medium_id"=>"6", "ptable_id"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]",

"lookup_values_attributes"=>"[FILTERED]", "host_parameters_attributes"=>{"0"=>{"name"=>"elevation", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"102"}, "1"=>{"name"=>"location", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"100"}, "2"=>{"name"=>"pdu", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"104"}, "3"=>{"name"=>"rack", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"101"}, "4"=>{"name"=>"usage", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"764"}, "5"=>{"name"=>"usedby", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"103"}, "6"=>{"name"=>"warranty", "value"=>"[FILTERED]",

"hidden_value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>"", "id"=>"1721"}}, "is_owned_by"=>"2-Users", "enabled"=>"1", "model_id"=>"7",

"comment"=>"", "overwrite"=>"false"}, "id"=>"ny4lddata2.somecorp.corp"}

2015-12-23 15:21:15 [I] Failed to save: Mac has already been taken, Ip can't be blank, Name can't be blank, Name is invalid

2015-12-23 15:21:15 [E] No route matches {:action=>"toggle_manage", :controller=>"hosts", :id=>#<Host::Managed id: 56, name: "", last_compile:

"2015-12-23 19:14:57", last_freshcheck: nil, last_report: "2015-12-23 19:14:53", updated_at: "2015-12-23 19:16:01", source_file_id: nil, created_at:

"2013-08-19 18:23:44", root_pass: "$1$okNMnyGv$QmrTNLdgYowtJBF9H0djr/", serial: nil, puppet_status: 18253611008, architecture_id: 1,

operatingsystem_id: 3, environment_id: 1, ptable_id: 1, medium_id: 6, build: false, comment: "", disk: "", installed_at: "2013-08-20 22:01:24",

model_id: 7, hostgroup_id: 16, owner_id: 2, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil,

uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname: "ny4lddata2.somecorp.corp", image_id: nil, organization_id: nil, location_id: nil,

type: "Host::Managed", compute_profile_id: nil, otp: nil, realm_id: nil, provision_method: "build", grub_pass:

"$1$okNMnyGv$QmrTNLdgYowtJBF9H0djr/", discovery_rule_id: nil>}
2015-12-23 15:21:15 [E] /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:532:in

`raise_routing_error'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:528:in `rescue in generate'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:520:in `generate'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:561:in `generate'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:586:in `url_for'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/url_for.rb:148:in `url_for'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/url_helper.rb:107:in `url_for'

/opt/rh/ruby193/root/usr/share/gems/gems/turbolinks-2.5.3/lib/turbolinks/xhr_url_for.rb:12:in `url_for_with_xhr_referer'

/usr/share/foreman/app/helpers/application_helper.rb:14:in `link_to'

/usr/share/foreman/app/helpers/application_helper.rb:163:in `display_link_if_authorized'

/usr/share/foreman/app/views/hosts/edit.html.erb:3:in `_app_views_hosts_edit_html_erb___1766323441748080518_70295838907360'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:145:in `block in render'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:125:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:143:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:47:in `block (2 levels) in render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:46:in `block in render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:54:in `render_with_layout'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:45:in `render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:18:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:36:in `render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:17:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:110:in `_render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/streaming.rb:225:in `_render_template'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:103:in `render_to_body'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/renderers.rb:28:in `render_to_body'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/compatibility.rb:50:in `render_to_body'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:88:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:16:in `render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:40:in `block (2 levels) in render'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark.rb:5:in `block in ms'

/opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark.rb:5:in `ms'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:40:in `block in render'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:83:in `cleanup_view_runtime'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:24:in `cleanup_view_runtime'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:39:in `render'

/usr/share/foreman/app/controllers/application_controller.rb:269:in `process_error'

/usr/share/foreman/app/controllers/hosts_controller.rb:106:in `block in update'

/usr/share/foreman/app/models/taxonomy.rb:54:in `block in no_taxonomy_scope'

/usr/share/foreman/app/models/taxonomy.rb:61:in `block (2 levels) in as_taxonomy'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:147:in `as_location'

/usr/share/foreman/app/models/taxonomy.rb:60:in `block in as_taxonomy'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:112:in `as_org'

/usr/share/foreman/app/models/taxonomy.rb:59:in `as_taxonomy'

/usr/share/foreman/app/models/taxonomy.rb:53:in `no_taxonomy_scope'

/usr/share/foreman/app/controllers/hosts_controller.rb:99:in `update'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:660:in `block (4 levels) in run

_4330772303155628351__process_action__3388512275063458369__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in conditional_callback_around_7365'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_2191'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7365'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:626:in `block (3 levels) in _run

_4330772303155628351__process_action__3388512275063458369__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in conditional_callback_around_7364'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7364'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:625:in `block (2 levels) in _run

_4330772303155628351__process_action__3388512275063458369__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in conditional_callback_around_7363'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7363'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:in `block in _run

_4330772303155628351__process_action__3388512275063458369__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in conditional_callback_around_7362'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7362'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in `_run

_4330772303155628351__process_action__3388512275063458369__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`_run__223050206194728517__call__344615762892275974__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

2015-12-23 15:21:15 [I]   Rendered hosts/edit.html.erb within layouts/application (2.3ms)

2015-12-23 15:21:15 [W] Operation FAILED: No route matches {:action=>"toggle_manage", :controller=>"hosts", :id=>#<Host::Managed id: 56,

name: "", last_compile: "2015-12-23 19:14:57", last_freshcheck: nil, last_report: "2015-12-23 19:14:53", updated_at: "2015-12-23 19:16:01",

source_file_id: nil, created_at: "2013-08-19 18:23:44", root_pass: "$1$okNMnyGv$QmrTNLdgYowtJBF9H0djr/", serial: nil, puppet_status:

18253611008, architecture_id: 1, operatingsystem_id: 3, environment_id: 1, ptable_id: 1, medium_id: 6, build: false, comment: "", disk: "", installed_at:

"2013-08-20 22:01:24", model_id: 7, hostgroup_id: 16, owner_id: 2, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true,

use_image: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname: "ny4lddata2.somecorp.corp", image_id: nil,

organization_id: nil, location_id: nil, type: "Host::Managed", compute_profile_id: nil, otp: nil, realm_id: nil, provision_method: "build", grub_pass:

"$1$okNMnyGv$QmrTNLdgYowtJBF9H0djr/", discovery_rule_id: nil>}

2015-12-23 15:21:15 [I]   Rendered common/500.html.erb (3.5ms)

2015-12-23 15:21:15 [I] Completed 500 Internal Server Error in 98ms (Views: 4.0ms | ActiveRecord: 0.0ms)

2015-12-23 15:21:17 [I]

#3 - 01/04/2016 03:11 AM - Dominic Cleal

The stack doesn't show anything about the "changed?" error unfortunately, which appears to be the root cause.  It does though appear to confirm that

the toggle_manage error is something in the error handler, but I don't see a reason for that.  Sorry, I can't tell if it's fixed or not - I can only suggest

trying it.

#4 - 01/12/2016 03:33 PM - Matheus Gomes

Dominic Cleal wrote:

The stack doesn't show anything about the "changed?" error unfortunately, which appears to be the root cause.  It does though appear to

confirm that the toggle_manage error is something in the error handler, but I don't see a reason for that.  Sorry, I can't tell if it's fixed or not - I can

only suggest trying it.

 We've updated to v1.10.0, how ever still have the same issue, what the recommended procedure to migrate bonded servers to the new version, some

comments recommend clearing the interface config saving than applying the original.

No route matches {:action=>"toggle_manage", :controller=>"hosts", :id=>#<Host::Managed id: 214, name: "", last_compile: "2016-01-11 15:40:01",

last_report: "2016-01-11 15:39:56", updated_at: "2016-01-11 15:40:04", created_at: "2014-08-26 14:09:58", root_pass: "", architecture_id: 1,

operatingsystem_id: 3, environment_id: 2, ptable_id: 92, medium_id: 6, build: false, comment: "", disk: "", installed_at: "2014-08-26 14:56:56",

model_id: 7, hostgroup_id: 1, owner_id: 1, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil,

uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname: "nycas2..corp", image_id: nil, organization_id: nil, location_id: nil, type:

"Host::Managed", compute_profile_id: nil, otp: nil, realm_id: nil, provision_method: "build", grub_pass: "$--" discovery_rule_id: nil, global_status: 0,

lookup_value_matcher: "fqdn=nycas2..corp">}

#5 - 01/15/2016 11:24 AM - Matheus Gomes

So far the way to edit a host is to remove all interface options except: MAC, Identifier, DNS Name, Provision for eth0 than saving and it'll will work

Our servers are set to Static ifcfg after a DHCP is give to eliminate DNS/DHCP issues on production.

#6 - 01/15/2016 11:43 AM - Matheus Gomes

Matheus Gomes wrote:

So far the way to edit a host is to remove all interface options except: MAC, Identifier, DNS Name, Provision for eth0 than saving and it'll will

work

Our servers are set to Static ifcfg after a DHCP is give to eliminate DNS/DHCP issues on production.

 I was only able to save after the above was set but now no matter what i do, changes or no changes upon trying to save it all output's errors.

2016-01-15 11:40:28 [app] [I]  |  | Started PUT "/hosts/ny4lddata4" for 10.17.12.28 at 2016-01-15 11:40:28 -0500

2016-01-15 11:40:28 [app] [I] Processing by HostsController#update as */*

2016-01-15 11:40:28 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"bFflMmxUmo+G3F7UdKG2aL+PFmtJSiN4fvi4kqwFnmk=",

"host"=>{"name"=>"", "hostgroup_id"=>"16", "environment_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_i

d"=>"1", "config_group_ids"=>[""], "puppetclass_ids"=>["", "339", "341", "508", "371", "375", "448", "344", "361", "450", "472", "509", "538", "320"],

"managed"=>"t", "progress_report_id"=>"[FILTERED]", "interfaces_attributes"=>{"0"=>{"_d

estroy"=>"0", "mac"=>"a0:36:9f:0a:93:f8", "identifier"=>"bond0", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"0",

"primary"=>"0", "provision"=>"0", "mode"=>"balance-rr", "attached_devices"=>"", "bond_options"=>"", "

id"=>"1"}, "1"=>{"_destroy"=>"0", "mac"=>"a0:36:9f:0a:93:f8", "identifier"=>"eth0", "name"=>"ny4lddata4", "domain_id"=>"3", "subnet_id"=>"8",

"ip"=>"", "managed"=>"0", "primary"=>"0", "provision"=>"1", "tag"=>"", "attached_to"=>"", "id"=>

"600"}, "2"=>{"_destroy"=>"0", "mac"=>"a0:36:9f:0a:93:fa", "identifier"=>"eth1", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "ip"=>"",

"managed"=>"0", "primary"=>"0", "provision"=>"0", "tag"=>"", "attached_to"=>"", "id"=>"2"}}, "archite

cture_id"=>"1", "operatingsystem_id"=>"3", "medium_id"=>"6", "ptable_id"=>"92", "disk"=>"", "lookup_values_attributes"=>"[FILTERED]",

"host_parameters_attributes"=>{"0"=>{"name"=>"elevation", "value"=>"[FILTERED]", "hidden_value"=>"[FILTE

RED]", "_destroy"=>"false", "id"=>"97"}, "1"=>{"name"=>"location", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false",

"id"=>"95"}, "2"=>{"name"=>"pdu", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"

=>"false", "id"=>"99"}, "3"=>{"name"=>"rack", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "id"=>"96"},

"4"=>{"name"=>"usage", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "id"=>"7
63"}, "5"=>{"name"=>"usedby", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "id"=>"98"}, "6"=>{"name"=>"warranty",

"value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"false", "id"=>"1723"}}, "is_o

wned_by"=>"2-Users", "enabled"=>"1", "model_id"=>"7", "comment"=>"", "overwrite"=>"false"}, "id"=>"ny4lddata4"}

2016-01-15 11:40:28 [app] [W] Action failed  | RuntimeError: Host::Base#name= delegated to primary_interface.name=, but primary_interface is nil:

#<Host::Managed id: 50, name: "ny4lddata4", last_compile: "2015-11-13 20:17:01", last_report: "2015-11-13 20:16:57", updated_at: "2016-0

1-15 16:27:15", created_at: "2013-08-17 01:11:39", root_pass: "++", architecture_id: 1, operatingsystem_id: 3, environment_id: 1, ptable_id: 92,

medium_id: 6, build: false, comment: "", disk: "", installed_

at: "2013-08-21 19:24:34", model_id: 7, hostgroup_id: 16, owner_id: 2, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true,

use_image: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, cert

name: "ny4lddata4.SOMECORP.corp", image_id: nil, organization_id: nil, location_id: nil, type: "Host::Managed", compute_profile_id: nil, otp: nil,

realm_id: nil, provision_method: "build", grub_pass: "++",

discovery_rule_id: nil, global_status: 0, lookup_value_matcher: "fqdn=ny4lddata4.SOMECORP.corp">  |

/usr/share/foreman/app/models/host/base.rb:91:in `rescue in name='  | /usr/share/foreman/app/models/host/base.rb:88:in `name='  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_assignment.rb:85:in `block in assign_attributes'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_assignment.rb:78:in `each'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_assignment.rb:78:in `assign_attributes'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:215:in `block in update_attributes'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in `block in with_transaction_returning_status'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb:192:in

`transaction'  | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `transaction'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in `with_transaction_returning_status'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:214:in `update_attributes'  |

/usr/share/foreman/app/controllers/hosts_controller.rb:103:in `block in update'  | /usr/share/foreman/app/models/taxonomy.rb:59:in `block in

no_taxonomy_scope'  | /usr/share/foreman/app/models/taxonomy.rb:66:in `block (2 levels) in as_taxonomy'  |

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:147:in `as_location'  | /usr/share/foreman/app/models/taxonomy.rb:65:in `block

in as_taxonomy'  | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:112:in `as_org'  |

/usr/share/foreman/app/models/taxonomy.rb:64:in `as_taxonomy'  | /usr/share/foreman/app/models/taxonomy.rb:58:in `no_taxonomy_scope'  |

/usr/share/foreman/app/controllers/hosts_controller.rb:100:in `update'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:649:in `block (4 levels) in run

_13117940776281493__process_action__1881153911433487640__callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7610'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_2484'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7610'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:626:in `block (3 levels) in run

_13117940776281493__process_action__1881153911433487640__callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7609'  |

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7609'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:625:in `block (2 levels) in run

_13117940776281493__process_action__1881153911433487640__callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7608'  |

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7608'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:in `block in run

_13117940776281493__process_action__1881153911433487640__callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_7607'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_7607'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in

`_run__13117940776281493__process_action__1881153911433487640__callbacks'                                                    [17/28071]  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'  |
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'  |

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'  |

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`_run__594651959856274939__call__995572187605199758__callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'  |

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'  |

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request' 

| /usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'  |

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

2016-01-15 11:40:28 [app] [I]   Rendered common/500.html.erb (1.5ms)

2016-01-15 11:40:28 [app] [I] Completed 500 Internal Server Error in 15ms (Views: 2.1ms | ActiveRecord: 2.2ms)

#7 - 01/19/2016 11:32 AM - Matheus Gomes

Deactivate host, Delete host from Foreman, run puppet on host, edit host all works fine, once i manage host on Foreman it allows to save once, after

that back to errors when edit-save with no changes.

Deactivate host, Delete host from Foreman, re-add host manually, edit save edit save works.

#8 - 01/11/2017 11:11 AM - Tomer Brisker

- Related to Bug #9531: Removing host name from Host#edit throws routing error added

#9 - 01/12/2017 05:20 AM - Tomer Brisker

- Status changed from New to Resolved

I believe the fix for #9531 should resolve this one as well, or at least allow seeing the failing validation message.
https://projects.theforeman.org/issues/9531


Closing this issue as resolved, feel free to reopen if this is still occurring after the related fix has been applied.
